Package org.postgresql.core.v3.replication

# Class V3ReplicationProtocol

java.lang.Object
org.postgresql.core.v3.replication.V3ReplicationProtocol

All Implemented Interfaces:
  `ReplicationProtocol`

public class V3ReplicationProtocol extends Object implements ReplicationProtocol

## Constructor Summary

Constructors
Constructor
Description
`V3ReplicationProtocol(QueryExecutor queryExecutor, PGStream pgStream)`

## Method Summary

Modifier and Type
Method
Description
`PGReplicationStream`
`startLogical(LogicalReplicationOptions options)`
`PGReplicationStream`
`startPhysical(PhysicalReplicationOptions options)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### V3ReplicationProtocol

public V3ReplicationProtocol(QueryExecutor queryExecutor, PGStream pgStream)

## Method Details

### startLogical

public PGReplicationStream startLogical(LogicalReplicationOptions options) throws SQLException

Specified by:
  `startLogical` in interface `ReplicationProtocol`
Parameters:
  `options` - not null options for logical replication stream
Returns:
  not null stream instance from which available fetch wal logs that was decode by output plugin
Throws:
  `SQLException` - on error

### startPhysical

public PGReplicationStream startPhysical(PhysicalReplicationOptions options) throws SQLException

Specified by:
  `startPhysical` in interface `ReplicationProtocol`
Parameters:
  `options` - not null options for physical replication stream
Returns:
  not null stream instance from which available fetch wal logs
Throws:
  `SQLException` - on error